> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new vacation configuration



## OpenAPI

````yaml POST /schedule/v1/vacation-configurations
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/vacation-configurations:
    post:
      tags:
        - Vacation Configurations
      summary: Creates a new vacation configuration
      operationId: CreateVacationConfiguration
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                requestVacationFrom:
                  type: string
                  format: Y-m
                renewalPeriod:
                  type: string
                  enum:
                    - working_year
                    - calendar_year
                    - each_month
                dayType:
                  type: string
                  enum:
                    - business_day
                    - calendar_day
                pickMode:
                  type: string
                  enum:
                    - by_days
                    - by_time_range
                maxDaysOff:
                  type: number
                  format: integer
                creationDateNextYear:
                  type: string
                maxDateToTakeVacations:
                  type: number
                  format: integer
                needsValidation:
                  type: boolean
                employeeRequestDenyExcessDaysOff:
                  type: boolean
                hoursQuantityConfigured:
                  type: boolean
                halfDayVacationConfiguration:
                  type: string
                  enum:
                    - weekly_average
                    - daily_average
                allowFreeHoursSelection:
                  type: boolean
                enjoyMonthPeriod:
                  type: number
                  format: integer
                employeeRequestEnabled:
                  type: boolean
                notAllowedDateRanges:
                  type: array
                  items:
                    type: object
                    properties:
                      from:
                        type: string
                        format: Y-m
                      to:
                        type: string
                        format: Y-m
                configurationType:
                  type: string
                  enum:
                    - max_days
                    - seniority_days
                    - unlimited_days
              required:
                - dayType
                - employeeRequestEnabled
                - needsValidation
                - name
                - employeeRequestDenyExcessDaysOff
                - configurationType
                - creationDateNextYear
                - pickMode
                - hoursQuantityConfigured
                - allowFreeHoursSelection
      responses:
        '200':
          description: Array of Objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      name:
                        type: string
                      employeeRequestEnabled:
                        type: boolean
                      needsValidation:
                        type: boolean
                      company:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                          notificationEmail:
                            type: string
                            format: email
                          language:
                            type: string
                          createdAt:
                            type: string
                            format: Y-m-dTH:i:sP
                            example: '2020-01-01T10:00:00+01:00'
                          updatedAt:
                            type: string
                            format: Y-m-dTH:i:sP
                            example: '2020-01-01T10:00:00+01:00'
                      dayType:
                        type: string
                        enum:
                          - business_day
                          - calendar_day
                      maxDaysOff:
                        type: integer
                      isDefault:
                        type: boolean
                      notAllowedDateRanges:
                        type: array
                        items:
                          type: object
                          properties:
                            from:
                              type: string
                              format: Y-m
                            to:
                              type: string
                              format: Y-m
                      creationDateNextYear:
                        type: string
                        format: m-d
                      createdAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                      updatedAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                      deletedAt:
                        type: string
                        nullable: true
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````